RagTime5ClusterManager::ClusterRoot Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::ClusterRoot Struct Referencefinal

the cluster for root More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterRoot:

## Public Member Functions
| ClusterRoot ()
| constructor More...
| ~ClusterRoot () final
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
int | m_styleClusterIds [8]
| the list of style cluster ( graph, units, unitsbis, text, format, unknown, graphcolor, col/pattern id) More...
int | m_clusterIds [1]
| other cluster id (unknown cluster b, ) More...
Link | m_graphicTypeLink
| the graphic type id More...
Link | m_docInfoLink
| the doc info link More...
Link | m_listUnicodeLink
| a link to a list of unknown index+unicode string More...
int | m_listClusterId
| the cluster list id More...
Link | m_listClusterName
| the cluster list id name zone link More...
Link | m_listClusterLink [2]
| first the main cluster link, second list of field definition link More...
Link | m_linkUnknown
| other link: scripts and field 6 More...
librevenge::RVNGString | m_fileName
| the filename if known More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

the cluster for root

## Constructor & Destructor Documentation

## ◆ ClusterRoot()

RagTime5ClusterManager::ClusterRoot::ClusterRoot | ( |  | ) |
| inline

constructor

## ◆ ~ClusterRoot()

RagTime5ClusterManager::ClusterRoot::~ClusterRoot | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_clusterIds

int RagTime5ClusterManager::ClusterRoot::m_clusterIds[1]

other cluster id (unknown cluster b, )

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_docInfoLink

Link RagTime5ClusterManager::ClusterRoot::m_docInfoLink

the doc info link

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_fileName

librevenge::RVNGString RagTime5ClusterManager::ClusterRoot::m_fileName

the filename if known

## ◆ m_graphicTypeLink

Link RagTime5ClusterManager::ClusterRoot::m_graphicTypeLink

the graphic type id

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_linkUnknown

Link RagTime5ClusterManager::ClusterRoot::m_linkUnknown

other link: scripts and field 6

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_listClusterId

int RagTime5ClusterManager::ClusterRoot::m_listClusterId

the cluster list id

Referenced by RagTime5ClusterManager::readClusterMainList(), and RagTime5Parser::readClusterRootData().

## ◆ m_listClusterLink

Link RagTime5ClusterManager::ClusterRoot::m_listClusterLink[2]

first the main cluster link, second list of field definition link

Referenced by RagTime5ClusterManager::readClusterMainList(), and RagTime5Parser::readClusterRootData().

## ◆ m_listClusterName

Link RagTime5ClusterManager::ClusterRoot::m_listClusterName

the cluster list id name zone link

Referenced by RagTime5ClusterManager::readClusterMainList().

## ◆ m_listUnicodeLink

Link RagTime5ClusterManager::ClusterRoot::m_listUnicodeLink

a link to a list of unknown index+unicode string

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_styleClusterIds

int RagTime5ClusterManager::ClusterRoot::m_styleClusterIds[8]

the list of style cluster ( graph, units, unitsbis, text, format, unknown, graphcolor, col/pattern id)

Referenced by RagTime5Parser::readClusterRootData().

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx